Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AdviceMethodProperties

    java.lang.Object
      org.jboss.aop.advice.AdviceMethodProperties

public class AdviceMethodProperties
extends Object

Contains the properties of an advice method that we want to find. Once found it is populated with the arguments

Version:
  $Revision: 1.2 $
Author:
  Kabir Khan

Field Summary
`static javassist.CtClass[]` | `EMPTY_PARAMETERS`
`static Integer` | `INVOCATION_ARG`
`static Integer` | `JOINPOINT_ARG`
`static Integer` | `RETURN_ARG`
`static Integer` | `THROWABLE_ARG`

Constructor Summary
`AdviceMethodProperties(Class aspectClass, String adviceName, Class infoType, Class invocationType, Class joinpointReturnType, Class[] joinpointParameters, Class[] joinpointExceptions)`

Method Summary
`Method` | `getAdviceMethod()`
`String` | `getAdviceName()`
`Integer[]` | `getArgs()`
`Class` | `getAspectClass()`
`Class` | `getInfoType()`
`Class` | `getInvocationType()`
`Class[]` | `getJoinpointExceptions()`
`Class[]` | `getJoinpointParameters()`
`Class` | `getJoinpointReturnType()`
`boolean` | `isAdviceVoid()`
`void` | `setFoundProperties(Method adviceMethod, ArrayList args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOINPOINT_ARG

    public static final Integer JOINPOINT_ARG

### INVOCATION_ARG

    public static final Integer INVOCATION_ARG

### RETURN_ARG

    public static final Integer RETURN_ARG

### THROWABLE_ARG

    public static final Integer THROWABLE_ARG

### EMPTY_PARAMETERS

    public static final javassist.CtClass[] EMPTY_PARAMETERS

Constructor Detail

### AdviceMethodProperties

    public AdviceMethodProperties(Class aspectClass,
                                  String adviceName,
                                  Class infoType,
                                  Class invocationType,
                                  Class joinpointReturnType,
                                  Class[] joinpointParameters,
                                  Class[] joinpointExceptions)

Method Detail

### setFoundProperties

    public void setFoundProperties(Method adviceMethod,
                                   ArrayList args)

### getAdviceName

    public String getAdviceName()

### getAspectClass

    public Class getAspectClass()

### getInfoType

    public Class getInfoType()

### getInvocationType

    public Class getInvocationType()

### getJoinpointExceptions

    public Class[] getJoinpointExceptions()

### getJoinpointParameters

    public Class[] getJoinpointParameters()

### getJoinpointReturnType

    public Class getJoinpointReturnType()

### isAdviceVoid

    public boolean isAdviceVoid()
                         throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### getAdviceMethod

    public Method getAdviceMethod()

### getArgs

    public Integer[] getArgs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.